<?php
defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

global $cfg;

$pluginName = basename(dirname(__DIR__, 1));

$cfg['plugins'][$pluginName] = cRegistry::getBackendPath() . $cfg['path']['plugins'] . "$pluginName/";

plugin_include($pluginName, 'vendor/autoload.php');

$pluginClassesPath = cRegistry::getBackendPath(true) . cRegistry::getConfigValue('path', 'plugins') . "$pluginName/classes" . DIRECTORY_SEPARATOR;

cAutoload::addClassmapConfig([
    'PHPMailer' => $pluginClassesPath . 'PHPMailer.php'
]);